Loading...
Searching...
No Matches
gx_engine::ParamRegImpl Class Reference

`#include <gx_pluginloader.h>`

Inheritance diagram for gx_engine::ParamRegImpl:

## Public Member Functions

| ParamRegImpl (ParamMap *pm)

## Static Private Member Functions

static float * | registerFloatVar_ (const char *id, const char *name, const char *tp, const char *tooltip, float *var, float val, float low, float up, float step, const value_pair *values=0)
static int * | registerIntVar_ (const char *id, const char *name, const char *tp, const char *tooltip, int *var, int val, int low, int up, const value_pair *values=0)
static bool * | registerBoolVar_ (const char *id, const char *name, const char *tp, const char *tooltip, bool *var, bool val)

## Static Private Attributes

static ParamMap * | pmap

## Additional Inherited Members

Public Attributes inherited from ParamReg
PluginDef * | plugin
float *(* | registerFloatVar )(const char *id, const char *name, const char *tp, const char *tooltip, float *var, float val, float low, float up, float step, const value_pair *values)
int *(* | registerIntVar )(const char *id, const char *name, const char *tp, const char *tooltip, int *var, int val, int low, int up, const value_pair *values)
bool *(* | registerBoolVar )(const char *id, const char *name, const char *tp, const char *tooltip, bool *var, bool val)

## Detailed Description

Definition at line 98 of file gx_pluginloader.h.

## Constructor & Destructor Documentation

## ParamRegImpl()

gx_engine::ParamRegImpl::ParamRegImpl | ( | ParamMap * | pm | ) |

## Member Function Documentation

## registerBoolVar_()

bool * gx_engine::ParamRegImpl::registerBoolVar_ | ( | const char * | id,
|  | const char * | name,
|  | const char * | tp,
|  | const char * | tooltip,
|  | bool * | var,
|  | bool | val )

static private

## registerFloatVar_()

float * gx_engine::ParamRegImpl::registerFloatVar_ | ( | const char * | id,
|  | const char * | name,
|  | const char * | tp,
|  | const char * | tooltip,
|  | float * | var,
|  | float | val,
|  | float | low,
|  | float | up,
|  | float | step,
|  | const value_pair * | values = 0 )

static private

## registerIntVar_()

int * gx_engine::ParamRegImpl::registerIntVar_ | ( | const char * | id,
|  | const char * | name,
|  | const char * | tp,
|  | const char * | tooltip,
|  | int * | var,
|  | int | val,
|  | int | low,
|  | int | up,
|  | const value_pair * | values = 0 )

static private

## Member Data Documentation

## pmap

ParamMap* gx_engine::ParamRegImpl::pmap

static private

Definition at line 100 of file gx_pluginloader.h.

The documentation for this class was generated from the following file:

- src/headers/gx_pluginloader.h